<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:variable name="phpStart">&#60;?</xsl:variable>
<xsl:variable name="phpEnd">?&#62;</xsl:variable>
<xsl:variable name="phpLt">&#60;</xsl:variable>
<xsl:variable name="phpGt">&#62;</xsl:variable>
<xsl:variable name="html4.doctype">&#60;!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"&#62;</xsl:variable>
<xsl:output method="xml" indent="no"/>
<xsl:strip-space elements="*"/>

<xsl:param name="baseURL" select="''"/>
<xsl:param name="votes_ok" select="''"/>
<xsl:param name="styleSTR" select="''"/>
<xsl:param name="grafName" select="''"/>
<xsl:param name="moduleId" select="''"/>


<xsl:template match="VOTES-PAGE">

require_once 'utils.php';
	
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache"); 

		$modsDataDir='../data/';
		$modDataDir=$modsDataDir.'<xsl:value-of select="$moduleId"/>/';
		$voteFileName = 'votes.txt';
		$voteFile = $modDataDir.$voteFileName;
		$ipFile = $modDataDir.'ip.txt';
		<xsl:choose>
		<xsl:when test="@MULTI = '1' or @MULTI='true'">
		$type = 'checkbox';
		</xsl:when>
		<xsl:otherwise>
		$type = 'radio';
		</xsl:otherwise>
		</xsl:choose>
		$height = intval('150');
		$widthDiv = intval('<xsl:value-of select="@WIDTH"/>');
		$heightDiv = intval('<xsl:value-of select="@HEIGHT"/>');
		$ip=array();
		$voteArray=array();
		$address = isset($_SERVER["HTTP_X_FORWARDED_FOR"]) ? $_SERVER["HTTP_X_FORWARDED_FOR"] : (isset($_SERVER["REMOTE_ADDR"])?$_SERVER["REMOTE_ADDR"]:"127.0.0.1");
	
	CreateDataPlace();
	UpdateAnswers();
	
	$t=0;
	$ip=array();
	if(file_exists($ipFile))
	{
		$f=fopen($ipFile,'r');
		if($f)
		{
			while(!feof($f))
		    {
		    	$s=fgets($f,4096);
	    	    $l=rtrim($s);
	        	$ip[$l]=$t;
				$t++;
	    	};
			fclose($f);
		}
	}
	else
	{
		$f=fopen($ipFile,'w');
		if($f)
		{
			fwrite($f,"localhost");
			fclose($f);
		}
	}
	
	ReadAnswersToArray($voteFile,$voteArray);
	
	$pixelw = sizeof($voteArray)
		?	intval($widthDiv/count($voteArray)-$widthDiv/10)
		:	0;

	if($pixelw<xsl:value-of select="$phpLt" disable-output-escaping="yes"/>1) $pixelw=1;

	if(!empty($_POST['vote'])){
		$vote = $_POST['vote']; # array	
	}else{
		$vote = array();
	}
	if (!array_key_exists($address, $ip)) {
		foreach($voteArray as $key=>$v){
			foreach($vote as $v1){
				if(intval($key)==intval($v1)) $voteArray[$key]=intval($v)+1;
			}
		}
		if(count($vote)>0){
			$f=@fopen($ipFile,'a+');
			@fputs($f, "\n".$address);
			@fclose($f);
		}
	} 
	
	SetAnswers($voteArray);
	
	$max=0;
	foreach($voteArray as $key=>$v){
			if(intval($v)>$max) $max=intval($v);
	}

	$mas = Array();
	foreach($voteArray as $key=>$v){
		if($max==0) $max=0.0001;
			$persent=intval($v)*100/$max;
			$pixel=intval($persent*$height/100);
			$mas[$key] = $pixel;
	}			


<xsl:value-of select="$phpEnd" disable-output-escaping="yes"/>
<xsl:value-of select="$html4.doctype" disable-output-escaping="yes"/>
<HTML>
<HEAD>
<meta http-equiv="pragma" content="no-cache"/>
<TITLE> Vote </TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<style>
.vote_div{
	<xsl:choose>
	<xsl:when test="@BORDER = '1'">
	border-style: solid; 
	border-width: 1px; 
	border-color: <xsl:value-of select="@COLOR"/>; 
	</xsl:when>
	<xsl:otherwise>
	border-style: solid; 
	border-width: 0px; 
	border-color: <xsl:value-of select="@COLOR"/>; 
	</xsl:otherwise>
	</xsl:choose>	
}
.vote_button button{
	font-size: 11px;
	font-color: <xsl:value-of select="@COLOR"/>; 
	width: 50px;
}
</style>
<xsl:value-of select="$styleSTR" disable-output-escaping="yes"/>
</HEAD>
<body style='background-color:transparent; margin-left: 0px; margin-top: 0px; margin-right: 0px; margin-bottom: 0px;'>
<form method="post">
<xsl:attribute name="name"><xsl:value-of select="VOTE-ID"/></xsl:attribute>
<xsl:attribute name="action">votes.php</xsl:attribute>
<div id="div" name="vote" class="vote_div" style="margin: 0px; padding-top: 0px; padding-bottom: 0px;">
<xsl:attribute name="style">width: <xsl:value-of select="@WIDTH"/>px;</xsl:attribute>
<table width="95%" cellpadding="0" cellspacing="0" border="0" align="center">
	<xsl:choose>
		<xsl:when test="QUESTIONS/@TEXT !=''">
		<tr>
			<td class="pageContent" align="center" vAlign="middle" style="text-align: center; vertical-align: middle; padding: 3px;">
				<b><font style="font-family: arial; font-size: 8pt;">
				<xsl:value-of select="QUESTIONS/@TEXT"/></font></b>
			</td>
		</tr>
		</xsl:when>
		<xsl:otherwise>
		<tr>
			<td class="pageContent" align="center" vAlign="middle" style="text-align: center; vertical-allign: middle; height: 5px;">
				<div class="pageContent" style="width: 100%; height: 5px; overflow: hidden; align: center; padding-top: 5px;">
				</div>
			</td>
		</tr>
		</xsl:otherwise>
	</xsl:choose>
		<tr>
			<td>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
				<xsl:for-each select="ANSORS">
					<tr>
						<td class="pageContent" style="width: 155px; height: 35px; text-align: right; padding-left: 5px; padding-right: 3px; padding-bottom:3px;">
							<img src="{$grafName}horizontal.gif">
								<xsl:attribute name="height">20</xsl:attribute>
								<xsl:attribute name="style">align: center; width:<xsl:value-of select="$phpStart" disable-output-escaping="yes"/>echo isset($mas[<xsl:value-of select="@ID"/>])?$mas[<xsl:value-of select="@ID"/>]:0;<xsl:value-of select="$phpEnd" disable-output-escaping="yes"/>px;</xsl:attribute>
							</img>	
							<br/>
							<input id="q" name="vote[]">
							<xsl:attribute name="type"><xsl:value-of select="$phpStart" disable-output-escaping="yes"/>echo $type;<xsl:value-of select="$phpEnd" disable-output-escaping="yes"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="@ID"/></xsl:attribute>
							</input>
							<!--<xsl:value-of select="$phpStart" disable-output-escaping="yes"/>echo $voteArray[<xsl:value-of select="@ID"/>];<xsl:value-of select="$phpEnd" disable-output-escaping="yes"/>-->
						</td>
						<td align="left" class="pageContent" style="text-align: left; width: 5px; vertical-align: top;">
							<font style="font-family: arial; font-size: 8pt;">&#160;</font>
						</td>
						<td align="left" class="pageContent" style="text-align: left; width: 10px; vertical-align: top;">
							<font style="font-family: arial; font-size: 8pt;"><xsl:value-of select="position()"/>.&#160;</font>
						</td>
						<td align="left" class="pageContent" style="text-align: left;vertical-align: top;">
							<font style="font-family: arial; font-size: 8pt;"><xsl:value-of select="@TEXT"/></font>
						</td>
					</tr>
				</xsl:for-each>
				</table>
			</td>
		</tr>
		<tr>
			<td align="center" class="vote_button" style="text-align: center; vertical-align: midle; height: 20px; padding-top: 5px; padding-bottom: 5px;">
				<button type="button" onClick="javascript: document.forms[0].submit();"><xsl:value-of select="$votes_ok"/></button>
			</td>
		</tr>
	</table></div></form></body>
</HTML>
</xsl:template>
</xsl:stylesheet>